import 'package:flutter/material.dart';

class AboutPage extends StatelessWidget {
  const AboutPage({super.key});

  static const String aboutText = '''
This App was build for demonstration purposes.
It requests data from the Environment Agency Real Time flood-monitoring API and displays a list and map of all flood measurement stations,
as well as a graph showing the last 24 hours of measurements.
The source code can be found at https://git.skup.in/.
                          ''';

  static const String routeName = '/about';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('About'),
      ),
      body: Center(
        child: Text(
          aboutText,
          style: Theme.of(context).textTheme.bodyLarge,
        ),
      ),
    );
  }
}
